Bug 14516 - В Lazarus невозможно вводить кириллицу в локали UTF-8
: В Lazarus невозможно вводить кириллицу в локали UTF-8
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/lazarus)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
: 15075
  Show dependency tree
 
Reported: 2008-02-18 19:08 by
Modified: 2008-06-19 08:00 (History)


Attachments
патч для шрифтов (1.57 KB, patch)
2008-04-29 19:50, mex3
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-18 19:08:01
В Lazarus невозможно вводить кириллицу в локали UTF-8
------- Comment #1 From 2008-03-20 23:23:22 -------
Я не уверен, что это виновеен сам lazarus
На срезе от school-4.0.0_beta20080311-master-i586-install-dvd5 я вижу этот баг.
Дома, на ноуте, где стоит Бренч - баг не проявляется.
И там и там стоит lazarus-0.9.24-alt0.M40.2.3.1.i586.rpm.

По-моему тут дело связано или с шрифтами или с их отобрадением. Нажимаешь 
первую русскую букву  - она высвечивается, вместо следующих печатаются 
неотображаемые символы.

Могу попробовать в выходные поставить на ноут заново beta20080311 и посмотреть.

------- Comment #2 From 2008-03-21 08:45:39 -------
Обновил систему на ноутбуке до Сизифа и уфидел тот-же эффект.
Ещё раз убедился, что похоже, что-то связано с шрифтами, установленными в 
система.
------- Comment #3 From 2008-03-21 09:09:02 -------
В установленной системе не хватает шрифтов. В коде lazarus'а прошит шрифт
courier. С sbolshakov@ уже обсуждали это. Исправляется установкой  нужного
шрифта,на пример,terminus. Далее настройки lazarus'а, в lazarus -> окружение ->
настройки редактора -> дисплей  -> шрифт редактора, устанавливаем
-xos4-terminus-medium-r-normal-*-12-*-*-*-*-*-iso10646-1
шрифт именно с кодировкой iso10646-1 (utf8). Насколько я знаю в 4-ой линейки
шрифт terminus устанавливается по умолчанию. Если сейчас это не так, то
придётся
в lazarus'е выставлять зависимость на пакет с этим шрифтом. Из всевозможных
шрифтов лучше всех в lazarus'е смотрится именно terminus.
------- Comment #4 From 2008-04-02 01:19:13 -------
А DejaVu Sans Mono не катит?
------- Comment #5 From 2008-04-02 09:14:49 -------
Катит. И смотрится не плохо. Но как тут поступить правильней, я не знаю. По
сему
и жду предложений.
------- Comment #6 From 2008-04-02 13:09:29 -------
Ставить зависимость на DejaVu-шрифты и прописывать в настройки по умолчанию 
этот шрифт.
------- Comment #7 From 2008-04-02 18:43:18 -------
Зависимость можно и не ставить, если у нас с AL4 по умолчанию идёт этот шрифт,
хотя лишней не будет. Но дело не в зависимости - надо патчить сам lazarus.
Первый подход сделал. Нужный патч получил. Но получил интересный эффект - в ~/
нету папки ~/.lazarus/, что естественно, если lazarus ещё не запускался. Делаем
первый запуск лазаря. Русский в окне редактора нормально вводится и
отображаетсяф. В настройках редактора по умолчанию уже стоит: -misc-dejavu sans
mono-medium-r-normal-*-*-140-*-*-m-*-iso10646-1 
То что надо. Ни чего не меняем, просто закрваем лазарь. НУжная паака с
настройками создалась, но (!!!) не создался файл ~/.lazarus/editoroptions.xml,
где у пользователя хранятся настройки редактора лазаруса. Но если в настройках
редактора лазаря изменить шрифт по умолчанию и выйти из лазаря, данный файл
создаётся.
Вопрос: считать это багой или фичей? 
------- Comment #8 From 2008-04-02 19:29:33 -------
Фича это. Если по умолчанию работает, то можно не заморачиваться.
------- Comment #9 From 2008-04-03 15:23:52 -------
Исправлено в сборке lazarus-0.9.24-alt2.3.2
Сборка ушда в сизиф. Потверждение о пересборке получил.
------- Comment #10 From 2008-04-03 16:48:26 -------
*** Bug 14390 has been marked as a duplicate of this bug. ***
------- Comment #11 From 2008-04-06 17:09:46 -------
Я правильно понимаю, что это не LATER, а FIXED?
------- Comment #12 From 2008-04-07 09:16:59 -------
Да. Исправил в сборке alt2.3.2.
------- Comment #13 From 2008-04-07 09:29:15 -------
Временно открываем...
------- Comment #14 From 2008-04-07 09:29:44 -------
Закрываем с правильным resolution. Прошу прощения за bugzilla spam.
------- Comment #15 From 2008-04-07 20:34:37 -------
Симптомы остаются.

По умолчанию стоит:
-misc-dejavu sans mono-medium-r-normal-*-*-140-*-*-m-*-iso10646-1
без проблем работает:
-dejavu-dejavu sans mono-medium-r-normal-*-11-*-*-*-*-*-iso10646-1

Проверено на lazarus-0.9.24-alt2.3.2 из Сизифа.
------- Comment #16 From 2008-04-08 09:49:19 -------
Изменил -xos4-terminus-medium-r-normal-*-12-*-*-*-*-*-iso10646-1
Более, менее нормально смотрится. С dejavu sans mono межстрочный интервал
выглядит как двойной. Кроме этого в списке автодополнений строки наезжают одна
на другую и не понятно, что к чему. Сборка alt3 ушла в сизиф. Проверьте.
------- Comment #17 From 2008-04-08 18:53:46 -------
По умолчанию ключевые слова в коде подсвечиваются полужирным, поэтому 
использование растрового шрифта terminus приводит в отвратительным жирным 
артефактам. Кроме того, проблема так и не решена, симптомы остаются.

Предлагаю оставить мой вариант. Кроме того, нужно прописать зависимость на 
шрифты DejaVu.
------- Comment #18 From 2008-04-09 08:45:15 -------
А у меня наоборот с dejavu шрифтами на экране малоприятные эффекты.Возможно
сказывается сочетание видеокарта/монитор. В общем кто за какие шрифты?
Прописать
не сложно. Сложно оказывается определить оптимальное. Жду предложений.
------- Comment #19 From 2008-04-10 17:09:57 -------
Перевешиваю на конкретный пакет
------- Comment #20 From 2008-04-15 15:01:38 -------
Итак, DejaVu Sans Mono ситуацию не спасает. В некоторых случаях он просто не 
выбирается. Прошу по умолчанию 
выбирать -misc-fixed-medium-r-normal-*-13-*-*-*-*-*-iso10646-1
С ним гарантированно нет проблем.
------- Comment #21 From 2008-04-15 15:25:55 -------
Ну что ж, по сему так и быть. Сегодня-завтра залью сборку именно с таким
шрифтом
по умолчанию.Ну а кому не нравится, сам под себя настроит.
------- Comment #22 From 2008-04-29 19:50:32 -------
Created an attachment (id=2597) [details]
патч для шрифтов

Патч для шрифтов должен выглядеть как-то так. В этом случае проблем с русскими
буквами не наблюдается.
------- Comment #23 From 2008-05-22 16:35:12 -------
В дистрибутиве Junior от 16.05.08 пока не поправленно
------- Comment #24 From 2008-05-22 16:53:15 -------
(In reply to comment #23)
> В дистрибутиве Junior от 16.05.08 пока не поправленно
Исправлено. Удалите ~/.lazarus. Или пропишите в настройках редактора 
шрифт -misc-fixed-medium-r-normal-*-13-*-*-*-*-*-iso10646-1.
------- Comment #25 From 2008-05-22 18:31:17 -------
Папку удалил не помогло, а вот поставил шрифт все нормально.
------- Comment #26 From 2008-05-22 18:36:24 -------
Для всех новых систем и пользователей устанавливается правильный шрифт. 
Закрываю баг.